
Ruby - Bug #12488

Backport r55410  (reject too   large precision in date_strftime.c)

06/14/2016 06:46 PM - nagachika (Tomoyuki Chikanaga)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: - Backport: 2.1: REQUIRED, 2.2: DONE, 2.3: DONE

Description

Backport 管理用チケットです。

r55410 の DateTime#strftime の精度の修正のソースの該当部分は 2.1 以降同じなので Backport 対象と思われます。

Associated revisions

Revision 38e722f741c628bd6dbfbd74c8e191beeb460203 - 08/15/2016 07:47 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 55410: [Backport #12488]

    * ext/date/date_strftime.c (date_strftime_with_tmx): reject too

      large precision to get rid of buffer overflow.

      reported by Guido Vranken <guido AT guidovranken.nl>.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@55910 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 38e722f7 - 08/15/2016 07:47 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 55410: [Backport #12488]

    * ext/date/date_strftime.c (date_strftime_with_tmx): reject too

      large precision to get rid of buffer overflow.

      reported by Guido Vranken <guido AT guidovranken.nl>.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@55910 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 673a8b4859932d926051a27bd4b45c7bd3bed2b3 - 08/16/2016 12:01 PM - U.Nakamura 

merge revision(s) 55410: [Backport #12488]

    * ext/date/date_strftime.c (date_strftime_with_tmx): reject too

      large precision to get rid of buffer overflow.

      reported by Guido Vranken <guido AT guidovranken.nl>.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@55940 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 673a8b48 - 08/16/2016 12:01 PM - U.Nakamura 

merge revision(s) 55410: [Backport #12488]

    * ext/date/date_strftime.c (date_strftime_with_tmx): reject too

      large precision to get rid of buffer overflow.

      reported by Guido Vranken <guido AT guidovranken.nl>.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@55940 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 08/15/2016 07:47 PM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.1: REQUIRED, 2.2: REQUIRED, 2.3: REQUIRED to 2.1: REQUIRED, 2.2: REQUIRED, 2.3: DONE

ruby_2_3 r55910 merged revision(s) 55410.

#2 - 08/16/2016 12:01 PM - usa (Usaku NAKAMURA)

- Backport changed from 2.1: REQUIRED, 2.2: REQUIRED, 2.3: DONE to 2.1: REQUIRED, 2.2: DONE, 2.3: DONE

ruby_2_2 r55940 merged revision(s) 55410.
